import * as React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { NavigationViewProps } from '../utils/createTabNavigator';
import { NavigationTabProp, NavigationMaterialTabOptions, MaterialTabBarOptions, SceneDescriptorMap } from '../types';
declare type Route = {
    key: string;
    routeName: string;
};
declare type Props = NavigationViewProps & {
    keyboardDismissMode?: 'none' | 'on-drag';
    swipeEnabled?: boolean;
    swipeDistanceThreshold?: number;
    swipeVelocityThreshold?: number;
    onSwipeStart?: () => void;
    onSwipeEnd?: () => void;
    initialLayout?: {
        width?: number;
        height?: number;
    };
    lazy?: boolean;
    lazyPlaceholderComponent?: React.ComponentType<{
        route: Route;
    }>;
    tabBarComponent?: React.ComponentType<any>;
    tabBarOptions?: MaterialTabBarOptions;
    tabBarPosition?: 'top' | 'bottom';
    sceneContainerStyle?: StyleProp<ViewStyle>;
    style?: StyleProp<ViewStyle>;
    navigation: NavigationTabProp;
    descriptors: SceneDescriptorMap;
    screenProps?: unknown;
};
declare const _default: (routes: import("react-navigation").NavigationRouteConfigMap<NavigationMaterialTabOptions, NavigationTabProp<import("react-navigation").NavigationRoute<import("react-navigation").NavigationParams>, any>>, config?: import("react-navigation").CreateNavigatorConfig<{}, import("react-navigation").NavigationTabRouterConfig, Partial<NavigationMaterialTabOptions>, NavigationTabProp<import("react-navigation").NavigationRoute<import("react-navigation").NavigationParams>, any>> | undefined) => React.ComponentType<Pick<Props, "style" | "navigation" | "descriptors" | "screenProps" | "lazy" | "tabBarComponent" | "tabBarOptions" | "tabBarPosition" | "keyboardDismissMode" | "swipeEnabled" | "swipeDistanceThreshold" | "swipeVelocityThreshold" | "onSwipeStart" | "onSwipeEnd" | "initialLayout" | "lazyPlaceholderComponent" | "sceneContainerStyle"> & {
    navigationConfig: any;
}>;
export default _default;
