import * as React from 'react';
import { NavigationRoute, NavigationRouteConfigMap, CreateNavigatorConfig, NavigationTabRouterConfig } from 'react-navigation';
import { NavigationTabProp, NavigationCommonTabOptions, SceneDescriptorMap } from '../types';
declare type RouteConfig<Options> = NavigationRouteConfigMap<Options, NavigationTabProp<NavigationRoute, any>>;
declare type CommonProps = {
    navigation: NavigationTabProp;
    descriptors: SceneDescriptorMap;
    screenProps?: unknown;
};
declare type ExtraProps = {
    navigationConfig: any;
};
export declare type RenderIconProps = {
    route: NavigationRoute;
    focused: boolean;
    tintColor?: string;
    horizontal?: boolean;
};
export declare type NavigationViewProps = {
    getLabelText: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    getAccessibilityLabel: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    getTestID: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    renderIcon: (props: RenderIconProps) => React.ReactNode;
    renderScene: (props: {
        route: NavigationRoute;
    }) => React.ReactNode;
    onIndexChange: (index: number) => void;
    onTabPress: (props: {
        route: NavigationRoute;
    }) => void;
    onTabLongPress: (props: {
        route: NavigationRoute;
    }) => void;
};
export default function createTabNavigator<Options extends NavigationCommonTabOptions, Props extends NavigationViewProps & CommonProps>(TabView: React.ComponentType<Props>): (routes: RouteConfig<Options>, config?: CreateNavigatorConfig<{}, NavigationTabRouterConfig, Partial<Options>, NavigationTabProp<NavigationRoute, any>>) => React.ComponentType<Pick<Props, Exclude<keyof Props, keyof NavigationViewProps>> & ExtraProps>;
export {};
